/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2023-05-19 13:41:09Z
 *****************************************************************************/

#include "rslcx.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rslcx_RsCoreRepCapTableCount = 0;

RsCoreRepCap rslcx_RsCoreRepCapTable[1] =
  { /*
    No repeated capabilities defined for this driver.
    */
    { NULL, NULL, NULL }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsLcx_rngMeasurementModeEntries[2] =
  {
    { RSLCX_VAL_MEASUREMENT_MODE_CONTINUOUS, "CONTinuous" },
    { RSLCX_VAL_MEASUREMENT_MODE_TRIGGERED, "TRIGgered" }
  };
RsCoreRangeTableDiscrete RsLcx_rngMeasurementMode = { 2, RsLcx_rngMeasurementModeEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngLoggingModeEntries[4] =
  {
    { RSLCX_VAL_LOGGING_MODE_UNLIMITED, "UNLimited" },
    { RSLCX_VAL_LOGGING_MODE_COUNT, "COUNt" },
    { RSLCX_VAL_LOGGING_MODE_DURATION, "DURation" },
    { RSLCX_VAL_LOGGING_MODE_SPAN, "SPAN" }
  };
RsCoreRangeTableDiscrete RsLcx_rngLoggingMode = { 4, RsLcx_rngLoggingModeEntries };

RsCoreRangeTableRanged RsLcx_rngLoggingInterval = { 0, 600, "s" };

RsCoreRangeTableRanged RsLcx_rngLoggingDuration = { 0, 349199, "s" };

RsCoreRangeTableRanged RsLcx_rngLoggingCount = { 1, 10000000, "" };

static RsCoreRangeTableDiscreteEntry RsLcx_rngDIMeasureSweepParameterEntries[4] =
  {
    { RSLCX_VAL_DI_MEASURE_SWEEP_PARAMETER_VOLTAGE, "VOLTage" },
    { RSLCX_VAL_DI_MEASURE_SWEEP_PARAMETER_FREQUENCY, "FREQuency" },
    { RSLCX_VAL_DI_MEASURE_SWEEP_PARAMETER_VBIAS, "VBIas" },
    { RSLCX_VAL_DI_MEASURE_SWEEP_PARAMETER_IBIAS, "IBIas" }
  };
RsCoreRangeTableDiscrete RsLcx_rngDIMeasureSweepParameter = { 4, RsLcx_rngDIMeasureSweepParameterEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngDIMeasurementIntervalTypeEntries[2] =
  {
    { RSLCX_VAL_DI_MEASUREMENT_INTERVAL_TYPE_STEP_SIZE, "STEPsize" },
    { RSLCX_VAL_DI_MEASUREMENT_INTERVAL_TYPE_STEP_NUMBER_OF_POINTS, "POINts" }
  };
RsCoreRangeTableDiscrete RsLcx_rngDIMeasurementIntervalType = { 2, RsLcx_rngDIMeasurementIntervalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngMeasurementSpeedEntries[3] =
  {
    { RSLCX_VAL_MEASUREMENT_SPEED_SHORT, "SHORt" },
    { RSLCX_VAL_MEASUREMENT_SPEED_MEDIUM, "MEDium" },
    { RSLCX_VAL_MEASUREMENT_SPEED_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete RsLcx_rngMeasurementSpeed = { 3, RsLcx_rngMeasurementSpeedEntries };

RsCoreRangeTableRanged RsLcx_rngMeasurementCableLength = { 0, 1, "m" };

RsCoreRangeTableRanged RsLcx_rngFrequency = { 4, RS_VAL_MAX_REAL64, "Hz" };

RsCoreRangeTableRanged RsLcx_rngVoltageLevel = { 0.01, 10, "V" };

RsCoreRangeTableRanged RsLcx_rngCurrentLevel = { 0.0001, 0.2, "A" };

RsCoreRangeTableRanged RsLcx_rngManualRangeValue = { 0.3, 30000000, "R" };

RsCoreRangeTableRanged RsLcx_rngCurrentBias = { 0, 0.2, "" };

RsCoreRangeTableRanged RsLcx_rngVoltageBias = { 0, RS_VAL_MAX_REAL64, "V" };

static RsCoreRangeTableDiscreteEntry RsLcx_rngMeasurementTypeEntries[4] =
  {
    { RSLCX_VAL_MEASUREMENT_TYPE_L, "L" },
    { RSLCX_VAL_MEASUREMENT_TYPE_C, "C" },
    { RSLCX_VAL_MEASUREMENT_TYPE_R, "R" },
    { RSLCX_VAL_MEASUREMENT_TYPE_T, "T" }
  };
RsCoreRangeTableDiscrete RsLcx_rngMeasurementType = { 4, RsLcx_rngMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngMeasurementImpedanceTypeEntries[24] =
  {
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CPD, "CPD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CPQ, "CPQ" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CPG, "CPG" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CPRP, "CPRP" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CSD, "CSD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CSQ, "CSQ" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CSRS, "CSRS" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LPD, "LPD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LPQ, "LPQ" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LPG, "LPG" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LPRP, "LPRP" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LSD, "LSD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LSQ, "LSQ" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_LSRS, "LSRS" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_RX, "RX" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_RPB, "RPB" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_RDC, "RDC" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_MTD, "MTD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_NTD, "NTD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_ZTD, "ZTD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_ZTR, "ZTR" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_GB, "GB" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_YTD, "YTD" },
    { RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_YTR, "YTR" }
  };
RsCoreRangeTableDiscrete RsLcx_rngMeasurementImpedanceType = { 24, RsLcx_rngMeasurementImpedanceTypeEntries };

RsCoreRangeTableRanged RsLcx_rngBrightness = { 0.1, 1, "" };

static RsCoreRangeTableDiscreteEntry RsLcx_rngUSBClassEntries[2] =
  {
    { RSLCX_VAL_USB_CLASS_CDC, "CDC" },
    { RSLCX_VAL_USB_CLASS_TMC, "TMC" }
  };
RsCoreRangeTableDiscrete RsLcx_rngUSBClass = { 2, RsLcx_rngUSBClassEntries };

RsCoreRangeTableRanged RsLcx_rngVNCPort = { 100, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsLcx_rngImageFormatEntries[1] =
  {
    { RSLCX_VAL_IMAGE_FORMAT_PNG, "PNG" }
  };
RsCoreRangeTableDiscrete RsLcx_rngImageFormat = { 1, RsLcx_rngImageFormatEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngStatusRegisterOperationEntries[2] =
  {
    { RSLCX_VAL_STAT_REG_QUESTIONABLE, "QUES" },
    { RSLCX_VAL_STAT_REG_OPERATION, "OPER" }
  };
RsCoreRangeTableDiscrete RsLcx_rngStatusRegisterOperation = { 2, RsLcx_rngStatusRegisterOperationEntries };

static RsCoreRangeTableDiscreteEntry RsLcx_rngStatusRegisterQueryEntries[5] =
  {
    { RSLCX_VAL_STAT_REG_QUERY_COND, "COND" },
    { RSLCX_VAL_STAT_REG_QUERY_EVENT, "EVEN" },
    { RSLCX_VAL_STAT_REG_QUERY_ENABLE, "ENAB" },
    { RSLCX_VAL_STAT_REG_QUERY_PTRANSITION, "PTR" },
    { RSLCX_VAL_STAT_REG_QUERY_NTRANSITION, "NTR" }
  };
RsCoreRangeTableDiscrete RsLcx_rngStatusRegisterQuery = { 5, RsLcx_rngStatusRegisterQueryEntries };

RsCoreRangeTableRanged RsLcx_rngMeasurementTriggerDelay = { 0, 60, "" };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_FREQUENCY =
  {
    RSLCX_ATTR_FREQUENCY,
    "Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngFrequency, NULL,
    "FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_VOLTAGE_LEVEL =
  {
    RSLCX_ATTR_VOLTAGE_LEVEL,
    "Voltage Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngVoltageLevel, NULL,
    "VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_CURRENT_LEVEL =
  {
    RSLCX_ATTR_CURRENT_LEVEL,
    "Current Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngCurrentLevel, NULL,
    "CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_AUTORANGE_ENABLED =
  {
    RSLCX_ATTR_AUTORANGE_ENABLED,
    "Autorange Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FUNC:IMP:RANG:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MANUAL_RANGE_VALUE =
  {
    RSLCX_ATTR_MANUAL_RANGE_VALUE,
    "Manual Range Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngManualRangeValue, NULL,
    "FUNC:IMP:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_ENABLED =
  {
    RSLCX_ATTR_LOGGING_ENABLED,
    "Logging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_FILE_NAME =
  {
    RSLCX_ATTR_LOGGING_FILE_NAME,
    "Logging File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LOG:FNAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_MODE =
  {
    RSLCX_ATTR_LOGGING_MODE,
    "Logging Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngLoggingMode, NULL, NULL,
    "LOG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_LOGGING_MODE_UNLIMITED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_INTERVAL =
  {
    RSLCX_ATTR_LOGGING_INTERVAL,
    "Logging Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngLoggingInterval, NULL,
    "LOG:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_COUNT =
  {
    RSLCX_ATTR_LOGGING_COUNT,
    "Logging Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsLcx_rngLoggingCount, NULL,
    "LOG:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_DURATION =
  {
    RSLCX_ATTR_LOGGING_DURATION,
    "Logging Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngLoggingDuration, NULL,
    "LOG:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING_START_TIME =
  {
    RSLCX_ATTR_LOGGING_START_TIME,
    "Logging Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "LOG:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2020,5,1,13,30,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_EXECUTE =
  {
    RSLCX_ATTR_DI_MEASUREMENT_EXECUTE,
    "DI Measurement Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIM:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_SWEEP_PARAMETER =
  {
    RSLCX_ATTR_DI_MEASUREMENT_SWEEP_PARAMETER,
    "DI Measurement Sweep Parameter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngDIMeasureSweepParameter, NULL, NULL,
    "DIM:SWE:PAR",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_DI_MEASURE_SWEEP_PARAMETER_VOLTAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_MINIMUM =
  {
    RSLCX_ATTR_DI_MEASUREMENT_MINIMUM,
    "DI Measurement Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIM:SWE:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_MAXIMUM =
  {
    RSLCX_ATTR_DI_MEASUREMENT_MAXIMUM,
    "DI Measurement Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIM:SWE:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_INTERVAL_TYPE =
  {
    RSLCX_ATTR_DI_MEASUREMENT_INTERVAL_TYPE,
    "DI Measurement Interval Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngDIMeasurementIntervalType, NULL, NULL,
    "DIM:INT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_DI_MEASUREMENT_INTERVAL_TYPE_STEP_SIZE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_STEP_SIZE =
  {
    RSLCX_ATTR_DI_MEASUREMENT_STEP_SIZE,
    "DI Measurement Step Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIM:INT:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_NUMBER_OF_POINTS =
  {
    RSLCX_ATTR_DI_MEASUREMENT_NUMBER_OF_POINTS,
    "DI Measurement Number Of Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIM:INT:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DI_MEASUREMENT_ABORT =
  {
    RSLCX_ATTR_DI_MEASUREMENT_ABORT,
    "DI Measurement Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIM:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K106",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BINNING_ENABLED =
  {
    RSLCX_ATTR_BINNING_ENABLED,
    "Binning Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BINNING_LOAD_FROM_FILE =
  {
    RSLCX_ATTR_BINNING_LOAD_FROM_FILE,
    "Binning Load From File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HAND:CONF:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file_path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BINNING_SAMPLES =
  {
    RSLCX_ATTR_BINNING_SAMPLES,
    "Binning Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HAND:BIN:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BINNING_SAMPLES_SINCE_RESET =
  {
    RSLCX_ATTR_BINNING_SAMPLES_SINCE_RESET,
    "Binning Samples Since Reset",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HAND:BIN:STAT:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BINNING_COUNTER_RESET =
  {
    RSLCX_ATTR_BINNING_COUNTER_RESET,
    "Binning Counter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HAND:BIN:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_MODE =
  {
    RSLCX_ATTR_MEASUREMENT_MODE,
    "Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngMeasurementMode, NULL, NULL,
    "MEAS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_MEASUREMENT_MODE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_SPEED =
  {
    RSLCX_ATTR_MEASUREMENT_SPEED,
    "Measurement Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngMeasurementSpeed, NULL, NULL,
    "APER",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_MEASUREMENT_SPEED_SHORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CABLE_LENGTH =
  {
    RSLCX_ATTR_MEASUREMENT_CABLE_LENGTH,
    "Measurement Cable Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsLcx_rngMeasurementCableLength, NULL,
    "CORR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_LOW_Z_MODE_ENABLED =
  {
    RSLCX_ATTR_MEASUREMENT_LOW_Z_MODE_ENABLED,
    "Measurement Low Z Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FUNC:IMP:LOWZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_TYPE =
  {
    RSLCX_ATTR_MEASUREMENT_TYPE,
    "Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngMeasurementType, NULL, NULL,
    "FUNC:MEAS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_MEASUREMENT_TYPE_L,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_IMPEDANCE_TYPE =
  {
    RSLCX_ATTR_MEASUREMENT_IMPEDANCE_TYPE,
    "Measurement Impedance Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngMeasurementImpedanceType, NULL, NULL,
    "FUNC:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_MEASUREMENT_IMPEDANCE_TYPE_CPD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_TRIGGER_DELAY =
  {
    RSLCX_ATTR_MEASUREMENT_TRIGGER_DELAY,
    "Measurement Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngMeasurementTriggerDelay, NULL,
    "MEAS:TRIG:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_INIT =
  {
    RSLCX_ATTR_MEASUREMENT_INIT,
    "Measurement Init",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BIAS_ENABLED =
  {
    RSLCX_ATTR_BIAS_ENABLED,
    "Bias Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BIAS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_CURRENT_BIAS =
  {
    RSLCX_ATTR_CURRENT_BIAS,
    "Current Bias",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngCurrentBias, NULL,
    "BIAS:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_VOLTAGE_BIAS =
  {
    RSLCX_ATTR_VOLTAGE_BIAS,
    "Voltage Bias",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngVoltageBias, NULL,
    "BIAS:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BIAS_EXTERNAL_ENABLED =
  {
    RSLCX_ATTR_BIAS_EXTERNAL_ENABLED,
    "Bias External Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BIAS:EXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BIAS_MEASURE_EXTERNAL =
  {
    RSLCX_ATTR_BIAS_MEASURE_EXTERNAL,
    "Bias Measure External",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BIAS:EXT:MEAS:VOLT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_ENABLED =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_ENABLED,
    "Measurement Correction Open Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:OPEN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_EXECUTE =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_EXECUTE,
    "Measurement Correction Open Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CORR:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_MODE =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_MODE,
    "Measurement Correction Open Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:OPEN:MODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_ENABLED =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_ENABLED,
    "Measurement Correction Short Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:SHOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_EXECUTE =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_EXECUTE,
    "Measurement Correction Short Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CORR:SHOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_MODE =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_MODE,
    "Measurement Correction Short Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:SHOR:MODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_ENABLED =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_ENABLED,
    "Measurement Correction Load Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:LOAD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_MODE =
  {
    RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_MODE,
    "Measurement Correction Load Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOAD:MODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_NEXT_VOLTAGE =
  {
    RSLCX_ATTR_NEXT_VOLTAGE,
    "Next Voltage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:VOLT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_NEXT_CURRENT =
  {
    RSLCX_ATTR_NEXT_CURRENT,
    "Next Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_FRONT_KEY_BRIGHTNESS =
  {
    RSLCX_ATTR_FRONT_KEY_BRIGHTNESS,
    "Front Key Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngBrightness, NULL,
    "SYST:KEY:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_USB_CLASS =
  {
    RSLCX_ATTR_USB_CLASS,
    "USB Class",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngUSBClass, NULL, NULL,
    "INT:USB:CLAS",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_USB_CLASS_TMC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_VERSION =
  {
    RSLCX_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1999.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_HW_VERSION =
  {
    RSLCX_ATTR_SYSTEM_HW_VERSION,
    "System HW Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:HW:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_RW_LOCK =
  {
    RSLCX_ATTR_SYSTEM_RW_LOCK,
    "System RW Lock",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:RWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_DEVICE_FOOT_PRINT =
  {
    RSLCX_ATTR_SYSTEM_DEVICE_FOOT_PRINT,
    "System Device Foot Print",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DFPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "info",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_LOCAL =
  {
    RSLCX_ATTR_SYSTEM_LOCAL,
    "System Local",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:LOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_REMOTE =
  {
    RSLCX_ATTR_SYSTEM_REMOTE,
    "System Remote",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_RESTART =
  {
    RSLCX_ATTR_SYSTEM_RESTART,
    "System Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_DATE =
  {
    RSLCX_ATTR_SYSTEM_DATE,
    "System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2020,5,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_TIME =
  {
    RSLCX_ATTR_SYSTEM_TIME,
    "System Time",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "13,30,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_UPTIME =
  {
    RSLCX_ATTR_SYSTEM_UPTIME,
    "System Uptime",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:UPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "345",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DISPLAY_BRIGHTNESS =
  {
    RSLCX_ATTR_DISPLAY_BRIGHTNESS,
    "Display Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsLcx_rngBrightness, NULL,
    "DISP:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DISPLAY_USER_MESSAGE =
  {
    RSLCX_ATTR_DISPLAY_USER_MESSAGE,
    "Display User Message",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "text message",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_DISPLAY_USER_MESSAGE_CLOSE =
  {
    RSLCX_ATTR_DISPLAY_USER_MESSAGE_CLOSE,
    "Display User Message Close",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:TEXT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BEEPER_WARNING_ENABLED =
  {
    RSLCX_ATTR_BEEPER_WARNING_ENABLED,
    "Beeper Warning Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:WARN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BEEPER_WARNING =
  {
    RSLCX_ATTR_BEEPER_WARNING,
    "Beeper Warning",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP:WARN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE_ENABLED =
  {
    RSLCX_ATTR_BEEPER_OPERATION_COMPLETE_ENABLED,
    "Beeper Operation Complete Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE =
  {
    RSLCX_ATTR_BEEPER_OPERATION_COMPLETE,
    "Beeper Operation Complete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_IMAGE_FORMAT =
  {
    RSLCX_ATTR_IMAGE_FORMAT,
    "Image Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsLcx_rngImageFormat, NULL, NULL,
    "HCOP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSLCX_VAL_IMAGE_FORMAT_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_IMAGE_WIDTH =
  {
    RSLCX_ATTR_IMAGE_WIDTH,
    "Image Width",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:X?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_IMAGE_HEIGHT =
  {
    RSLCX_ATTR_IMAGE_HEIGHT,
    "Image Height",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:SIZE:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_DHCP_ENABLED =
  {
    RSLCX_ATTR_LAN_DHCP_ENABLED,
    "LAN DHCP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DHCP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_IP_ADDRESS =
  {
    RSLCX_ATTR_LAN_IP_ADDRESS,
    "LAN IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10.113.0.104",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_SUBNET_MASK =
  {
    RSLCX_ATTR_LAN_SUBNET_MASK,
    "LAN Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:SMAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.252.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_DEFAULT_GATEWAY =
  {
    RSLCX_ATTR_LAN_DEFAULT_GATEWAY,
    "LAN Default Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DGAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10.113.0.104",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_HOSTNAME =
  {
    RSLCX_ATTR_LAN_HOSTNAME,
    "LAN Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "instrument",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_MAC_ADDRESS =
  {
    RSLCX_ATTR_LAN_MAC_ADDRESS,
    "LAN MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_PARAMETERS_EDITED =
  {
    RSLCX_ATTR_LAN_PARAMETERS_EDITED,
    "LAN Parameters Edited",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:EDIT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_APPLY_CHANGES =
  {
    RSLCX_ATTR_LAN_APPLY_CHANGES,
    "LAN Apply Changes",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_DISCARD_CHANGES =
  {
    RSLCX_ATTR_LAN_DISCARD_CHANGES,
    "LAN Discard Changes",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LAN_RESET_PARAMETERS =
  {
    RSLCX_ATTR_LAN_RESET_PARAMETERS,
    "LAN Reset Parameters",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_VNC_ENABLED =
  {
    RSLCX_ATTR_VNC_ENABLED,
    "VNC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:VNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_VNC_PORT =
  {
    RSLCX_ATTR_VNC_PORT,
    "VNC Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsLcx_rngVNCPort, NULL,
    "SYST:COMM:NETW:VNC:PORT",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SAVE =
  {
    RSLCX_ATTR_SAVE,
    "Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*SAV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SAVE_TO_FILE =
  {
    RSLCX_ATTR_SAVE_TO_FILE,
    "Save To File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SETT:DEF:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file_path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_RECALL =
  {
    RSLCX_ATTR_RECALL,
    "Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*RCL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_FILE_DELETE =
  {
    RSLCX_ATTR_FILE_DELETE,
    "File Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DATA:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file_path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LIST_OF_FILES =
  {
    RSLCX_ATTR_LIST_OF_FILES,
    "List Of Files",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DATA:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file_path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_STATUS_PRESET =
  {
    RSLCX_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_ID_QUERY_RESPONSE =
  {
    RSLCX_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,LCX200,3629.8856k03/900926,02.004 007FB33E55",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_ERROR =
  {
    RSLCX_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_SYSTEM_NEXT_ERROR =
  {
    RSLCX_ATTR_SYSTEM_NEXT_ERROR,
    "System Next Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSLCX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSLCX_ATTR_LOGGING =
  {
    RSLCX_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rslcx_logging_ReadCallback,
    rslcx_logging_WriteCallback,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rslcx_RsCoreAttributeListLength = 126;

RsCoreAttributePtr rslcx_RsCoreAttributeList[126] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSLCX_ATTR_FREQUENCY,
    &g_RSLCX_ATTR_VOLTAGE_LEVEL,
    &g_RSLCX_ATTR_CURRENT_LEVEL,
    &g_RSLCX_ATTR_AUTORANGE_ENABLED,
    &g_RSLCX_ATTR_MANUAL_RANGE_VALUE,
    &g_RSLCX_ATTR_LOGGING_ENABLED,
    &g_RSLCX_ATTR_LOGGING_FILE_NAME,
    &g_RSLCX_ATTR_LOGGING_MODE,
    &g_RSLCX_ATTR_LOGGING_INTERVAL,
    &g_RSLCX_ATTR_LOGGING_COUNT,
    &g_RSLCX_ATTR_LOGGING_DURATION,
    &g_RSLCX_ATTR_LOGGING_START_TIME,
    &g_RSLCX_ATTR_DI_MEASUREMENT_EXECUTE,
    &g_RSLCX_ATTR_DI_MEASUREMENT_SWEEP_PARAMETER,
    &g_RSLCX_ATTR_DI_MEASUREMENT_MINIMUM,
    &g_RSLCX_ATTR_DI_MEASUREMENT_MAXIMUM,
    &g_RSLCX_ATTR_DI_MEASUREMENT_INTERVAL_TYPE,
    &g_RSLCX_ATTR_DI_MEASUREMENT_STEP_SIZE,
    &g_RSLCX_ATTR_DI_MEASUREMENT_NUMBER_OF_POINTS,
    &g_RSLCX_ATTR_DI_MEASUREMENT_ABORT,
    &g_RSLCX_ATTR_BINNING_ENABLED,
    &g_RSLCX_ATTR_BINNING_LOAD_FROM_FILE,
    &g_RSLCX_ATTR_BINNING_SAMPLES,
    &g_RSLCX_ATTR_BINNING_SAMPLES_SINCE_RESET,
    &g_RSLCX_ATTR_BINNING_COUNTER_RESET,
    &g_RSLCX_ATTR_MEASUREMENT_MODE,
    &g_RSLCX_ATTR_MEASUREMENT_SPEED,
    &g_RSLCX_ATTR_MEASUREMENT_CABLE_LENGTH,
    &g_RSLCX_ATTR_MEASUREMENT_LOW_Z_MODE_ENABLED,
    &g_RSLCX_ATTR_MEASUREMENT_TYPE,
    &g_RSLCX_ATTR_MEASUREMENT_IMPEDANCE_TYPE,
    &g_RSLCX_ATTR_MEASUREMENT_TRIGGER_DELAY,
    &g_RSLCX_ATTR_MEASUREMENT_INIT,
    &g_RSLCX_ATTR_BIAS_ENABLED,
    &g_RSLCX_ATTR_CURRENT_BIAS,
    &g_RSLCX_ATTR_VOLTAGE_BIAS,
    &g_RSLCX_ATTR_BIAS_EXTERNAL_ENABLED,
    &g_RSLCX_ATTR_BIAS_MEASURE_EXTERNAL,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_ENABLED,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_EXECUTE,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_MODE,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_ENABLED,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_EXECUTE,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_MODE,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_ENABLED,
    &g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_MODE,
    &g_RSLCX_ATTR_NEXT_VOLTAGE,
    &g_RSLCX_ATTR_NEXT_CURRENT,
    &g_RSLCX_ATTR_FRONT_KEY_BRIGHTNESS,
    &g_RSLCX_ATTR_USB_CLASS,
    &g_RSLCX_ATTR_SYSTEM_VERSION,
    &g_RSLCX_ATTR_SYSTEM_HW_VERSION,
    &g_RSLCX_ATTR_SYSTEM_RW_LOCK,
    &g_RSLCX_ATTR_SYSTEM_DEVICE_FOOT_PRINT,
    &g_RSLCX_ATTR_SYSTEM_LOCAL,
    &g_RSLCX_ATTR_SYSTEM_REMOTE,
    &g_RSLCX_ATTR_SYSTEM_RESTART,
    &g_RSLCX_ATTR_SYSTEM_DATE,
    &g_RSLCX_ATTR_SYSTEM_TIME,
    &g_RSLCX_ATTR_SYSTEM_UPTIME,
    &g_RSLCX_ATTR_DISPLAY_BRIGHTNESS,
    &g_RSLCX_ATTR_DISPLAY_USER_MESSAGE,
    &g_RSLCX_ATTR_DISPLAY_USER_MESSAGE_CLOSE,
    &g_RSLCX_ATTR_BEEPER_WARNING_ENABLED,
    &g_RSLCX_ATTR_BEEPER_WARNING,
    &g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE_ENABLED,
    &g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE,
    &g_RSLCX_ATTR_IMAGE_FORMAT,
    &g_RSLCX_ATTR_IMAGE_WIDTH,
    &g_RSLCX_ATTR_IMAGE_HEIGHT,
    &g_RSLCX_ATTR_LAN_DHCP_ENABLED,
    &g_RSLCX_ATTR_LAN_IP_ADDRESS,
    &g_RSLCX_ATTR_LAN_SUBNET_MASK,
    &g_RSLCX_ATTR_LAN_DEFAULT_GATEWAY,
    &g_RSLCX_ATTR_LAN_HOSTNAME,
    &g_RSLCX_ATTR_LAN_MAC_ADDRESS,
    &g_RSLCX_ATTR_LAN_PARAMETERS_EDITED,
    &g_RSLCX_ATTR_LAN_APPLY_CHANGES,
    &g_RSLCX_ATTR_LAN_DISCARD_CHANGES,
    &g_RSLCX_ATTR_LAN_RESET_PARAMETERS,
    &g_RSLCX_ATTR_VNC_ENABLED,
    &g_RSLCX_ATTR_VNC_PORT,
    &g_RSLCX_ATTR_SAVE,
    &g_RSLCX_ATTR_SAVE_TO_FILE,
    &g_RSLCX_ATTR_RECALL,
    &g_RSLCX_ATTR_FILE_DELETE,
    &g_RSLCX_ATTR_LIST_OF_FILES,
    &g_RSLCX_ATTR_STATUS_PRESET,
    &g_RSLCX_ATTR_ID_QUERY_RESPONSE,
    &g_RSLCX_ATTR_SYSTEM_ERROR,
    &g_RSLCX_ATTR_SYSTEM_NEXT_ERROR,
    &g_RSLCX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSLCX_ATTR_LOGGING
  };
