/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-05-19 13:41:09Z
 *****************************************************************************/

#ifndef __RSLCX_ATTRIBUTES_HEADER
#define __RSLCX_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rslcx_logging_ReadCallback(ViSession          io,
                                    ViConstString      repCapName,
                                    RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rslcx_logging_WriteCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr,
                                     void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsLcx_rngMeasurementMode;
extern RsCoreRangeTableDiscrete RsLcx_rngLoggingMode;
extern RsCoreRangeTableRanged RsLcx_rngLoggingInterval;
extern RsCoreRangeTableRanged RsLcx_rngLoggingDuration;
extern RsCoreRangeTableRanged RsLcx_rngLoggingCount;
extern RsCoreRangeTableDiscrete RsLcx_rngDIMeasureSweepParameter;
extern RsCoreRangeTableDiscrete RsLcx_rngDIMeasurementIntervalType;
extern RsCoreRangeTableDiscrete RsLcx_rngMeasurementSpeed;
extern RsCoreRangeTableRanged RsLcx_rngMeasurementCableLength;
extern RsCoreRangeTableRanged RsLcx_rngFrequency;
extern RsCoreRangeTableRanged RsLcx_rngVoltageLevel;
extern RsCoreRangeTableRanged RsLcx_rngCurrentLevel;
extern RsCoreRangeTableRanged RsLcx_rngManualRangeValue;
extern RsCoreRangeTableRanged RsLcx_rngCurrentBias;
extern RsCoreRangeTableRanged RsLcx_rngVoltageBias;
extern RsCoreRangeTableDiscrete RsLcx_rngMeasurementType;
extern RsCoreRangeTableDiscrete RsLcx_rngMeasurementImpedanceType;
extern RsCoreRangeTableRanged RsLcx_rngBrightness;
extern RsCoreRangeTableDiscrete RsLcx_rngUSBClass;
extern RsCoreRangeTableRanged RsLcx_rngVNCPort;
extern RsCoreRangeTableDiscrete RsLcx_rngImageFormat;
extern RsCoreRangeTableDiscrete RsLcx_rngStatusRegisterOperation;
extern RsCoreRangeTableDiscrete RsLcx_rngStatusRegisterQuery;
extern RsCoreRangeTableRanged RsLcx_rngMeasurementTriggerDelay;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSLCX_ATTR_FREQUENCY;
extern RsCoreAttribute g_RSLCX_ATTR_VOLTAGE_LEVEL;
extern RsCoreAttribute g_RSLCX_ATTR_CURRENT_LEVEL;
extern RsCoreAttribute g_RSLCX_ATTR_AUTORANGE_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_MANUAL_RANGE_VALUE;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_FILE_NAME;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_MODE;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_INTERVAL;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_COUNT;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_DURATION;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING_START_TIME;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_EXECUTE;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_SWEEP_PARAMETER;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_MINIMUM;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_MAXIMUM;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_INTERVAL_TYPE;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_STEP_SIZE;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSLCX_ATTR_DI_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSLCX_ATTR_BINNING_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_BINNING_LOAD_FROM_FILE;
extern RsCoreAttribute g_RSLCX_ATTR_BINNING_SAMPLES;
extern RsCoreAttribute g_RSLCX_ATTR_BINNING_SAMPLES_SINCE_RESET;
extern RsCoreAttribute g_RSLCX_ATTR_BINNING_COUNTER_RESET;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_SPEED;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CABLE_LENGTH;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_LOW_Z_MODE_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_IMPEDANCE_TYPE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_TRIGGER_DELAY;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSLCX_ATTR_BIAS_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_CURRENT_BIAS;
extern RsCoreAttribute g_RSLCX_ATTR_VOLTAGE_BIAS;
extern RsCoreAttribute g_RSLCX_ATTR_BIAS_EXTERNAL_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_BIAS_MEASURE_EXTERNAL;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_EXECUTE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_OPEN_MODE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_EXECUTE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_SHORT_MODE;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_MEASUREMENT_CORRECTION_LOAD_MODE;
extern RsCoreAttribute g_RSLCX_ATTR_NEXT_VOLTAGE;
extern RsCoreAttribute g_RSLCX_ATTR_NEXT_CURRENT;
extern RsCoreAttribute g_RSLCX_ATTR_FRONT_KEY_BRIGHTNESS;
extern RsCoreAttribute g_RSLCX_ATTR_USB_CLASS;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_HW_VERSION;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_RW_LOCK;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_DEVICE_FOOT_PRINT;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_LOCAL;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_REMOTE;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_DATE;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_TIME;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_UPTIME;
extern RsCoreAttribute g_RSLCX_ATTR_DISPLAY_BRIGHTNESS;
extern RsCoreAttribute g_RSLCX_ATTR_DISPLAY_USER_MESSAGE;
extern RsCoreAttribute g_RSLCX_ATTR_DISPLAY_USER_MESSAGE_CLOSE;
extern RsCoreAttribute g_RSLCX_ATTR_BEEPER_WARNING_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_BEEPER_WARNING;
extern RsCoreAttribute g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_BEEPER_OPERATION_COMPLETE;
extern RsCoreAttribute g_RSLCX_ATTR_IMAGE_FORMAT;
extern RsCoreAttribute g_RSLCX_ATTR_IMAGE_WIDTH;
extern RsCoreAttribute g_RSLCX_ATTR_IMAGE_HEIGHT;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_DHCP_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_IP_ADDRESS;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_SUBNET_MASK;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_DEFAULT_GATEWAY;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_HOSTNAME;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_MAC_ADDRESS;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_PARAMETERS_EDITED;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_APPLY_CHANGES;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_DISCARD_CHANGES;
extern RsCoreAttribute g_RSLCX_ATTR_LAN_RESET_PARAMETERS;
extern RsCoreAttribute g_RSLCX_ATTR_VNC_ENABLED;
extern RsCoreAttribute g_RSLCX_ATTR_VNC_PORT;
extern RsCoreAttribute g_RSLCX_ATTR_SAVE;
extern RsCoreAttribute g_RSLCX_ATTR_SAVE_TO_FILE;
extern RsCoreAttribute g_RSLCX_ATTR_RECALL;
extern RsCoreAttribute g_RSLCX_ATTR_FILE_DELETE;
extern RsCoreAttribute g_RSLCX_ATTR_LIST_OF_FILES;
extern RsCoreAttribute g_RSLCX_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSLCX_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSLCX_ATTR_SYSTEM_NEXT_ERROR;
extern RsCoreAttribute g_RSLCX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSLCX_ATTR_LOGGING;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rslcx_RsCoreRepCapTable[];
extern ViInt32 rslcx_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rslcx_RsCoreAttributeList[];
extern ViInt32 rslcx_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSLCX_ATTRIBUTES_HEADER */
